
tellraw @s ""

tellraw @s {"translate": "sul4ur.supp_pearls.configs.title","fallback": "§b§lSupplementary §3§lPearls §r§7Configs"}

## Max stack size
  tellraw @s ["  ",{\
      "translate": "sul4ur.supp_pearls.config.max_stack_size",\
      "fallback": "Maximum pearl stack size:",\
      "hoverEvent": {\
        "action": "show_text",\
        "contents": {\
          "translate": "sul4ur.supp_pearls.config.max_stack_size.description",\
          "fallback": "The maximum amount of pearls of the same type that can fit into a single slot.\n§7Range: 1 ≤ value ≤ 99\n§bℹ It's recommended to change this config before any player obtains a supplementary pearl."\
        }\
      }\
    },\
    "\n    ",\
    [\
      "",\
      {\
        "translate": "sul4ur.supp_pearls.config.max_stack_size.upward_pearls",\
        "fallback": "§eUpward pearls: ",\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.max_stack_size.upward_pearls.description",\
            "fallback": "The maximum stack size of upward pearls.\n§8Default: 16"\
          }\
        }\
      },\
      {\
        "translate": "§7[%s§7]",\
        "with": [\
          {\
            "score": {\
              "name": "<max_stack_size.upward_pearl>",\
              "objective": "sul4ur.supp_pearls.config"\
            },\
            "color" : "aqua"\
          }\
        ],\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.click_to_change_value",\
            "fallback": "Click to change the value of this config."\
          }\
        },\
        "clickEvent": {\
          "action": "suggest_command",\
          "value": "/scoreboard players set <max_stack_size.upward_pearl> sul4ur.supp_pearls.config "\
        }\
      }\
    ],\
    "      ",\
    [\
      "",\
      {\
        "translate": "sul4ur.supp_pearls.config.max_stack_size.downward_pearls",\
        "fallback": "§eDownward pearls: ",\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.max_stack_size.downward_pearls.description",\
            "fallback": "The maximum stack size of downward pearls.\n§8Default: 16"\
          }\
        }\
      },\
      {\
        "translate": "§7[%s§7]",\
        "with": [\
          {\
            "score": {\
              "name": "<max_stack_size.downward_pearl>",\
              "objective": "sul4ur.supp_pearls.config"\
            },\
            "color" : "aqua"\
          }\
        ],\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.click_to_change_value",\
            "fallback": "Click to change the value of this config."\
          }\
        },\
        "clickEvent": {\
          "action": "suggest_command",\
          "value": "/scoreboard players set <max_stack_size.downward_pearl> sul4ur.supp_pearls.config "\
        }\
      }\
    ],\
    "\n    ",\
    [\
      "",\
      {\
        "translate": "sul4ur.supp_pearls.config.max_stack_size.forward_pearls",\
        "fallback": "§eForward pearls: ",\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.max_stack_size.forward_pearls.description",\
            "fallback": "The maximum stack size of forward pearls.\n§8Default: 16"\
          }\
        }\
      },\
      {\
        "translate": "§7[%s§7]",\
        "with": [\
          {\
            "score": {\
              "name": "<max_stack_size.forward_pearl>",\
              "objective": "sul4ur.supp_pearls.config"\
            },\
            "color" : "aqua"\
          }\
        ],\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.click_to_change_value",\
            "fallback": "Click to change the value of this config."\
          }\
        },\
        "clickEvent": {\
          "action": "suggest_command",\
          "value": "/scoreboard players set <max_stack_size.forward_pearl> sul4ur.supp_pearls.config "\
        }\
      }\
    ],\
    "      ",\
    [\
      "",\
      {\
        "translate": "sul4ur.supp_pearls.config.max_stack_size.warp_pearls",\
        "fallback": "§eWarp pearls: ",\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.max_stack_size.warp_pearls.description",\
            "fallback": "The maximum stack size of warp pearls.\n§8Default: 16"\
          }\
        }\
      },\
      {\
        "translate": "§7[%s§7]",\
        "with": [\
          {\
            "score": {\
              "name": "<max_stack_size.warp_pearl>",\
              "objective": "sul4ur.supp_pearls.config"\
            },\
            "color" : "aqua"\
          }\
        ],\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.click_to_change_value",\
            "fallback": "Click to change the value of this config."\
          }\
        },\
        "clickEvent": {\
          "action": "suggest_command",\
          "value": "/scoreboard players set <max_stack_size.warp_pearl> sul4ur.supp_pearls.config "\
        }\
      }\
    ]\
  ]

tellraw @s ""

## Use cooldown
  tellraw @s ["  ",{\
      "translate": "sul4ur.supp_pearls.config.use_cooldown",\
      "fallback": "Pearl use cooldown:",\
      "hoverEvent": {\
        "action": "show_text",\
        "contents": {\
          "translate": "sul4ur.supp_pearls.config.use_cooldown.description",\
          "fallback": "The time it takes before a player can use a pearl again (in milliseconds)\n§7Range: 50 ≤ value ≤ 100000\n§bℹ It's recommended to change this config before any player obtains a supplementary pearl."\
        }\
      }\
    },\
    "\n    ",\
    [\
      "",\
      {\
        "translate": "sul4ur.supp_pearls.config.use_cooldown.upward_pearls",\
        "fallback": "§eUpward pearls: ",\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.use_cooldown.upward_pearls.description",\
            "fallback": "The use cooldown for upward pearls.\n§8Default: 1000"\
          }\
        }\
      },\
      {\
        "translate": "§7[%s§7]",\
        "with": [\
          {\
            "score": {\
              "name": "<use_cooldown.upward_pearl>",\
              "objective": "sul4ur.supp_pearls.config"\
            },\
            "color" : "aqua"\
          }\
        ],\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.click_to_change_value",\
            "fallback": "Click to change the value of this config."\
          }\
        },\
        "clickEvent": {\
          "action": "suggest_command",\
          "value": "/scoreboard players set <use_cooldown.upward_pearl> sul4ur.supp_pearls.config "\
        }\
      }\
    ],\
    "      ",\
    [\
      "",\
      {\
        "translate": "sul4ur.supp_pearls.config.use_cooldown.downward_pearls",\
        "fallback": "§eDownward pearls: ",\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.use_cooldown.downward_pearls.description",\
            "fallback": "The use cooldown for downward pearls.\n§8Default: 1000"\
          }\
        }\
      },\
      {\
        "translate": "§7[%s§7]",\
        "with": [\
          {\
            "score": {\
              "name": "<use_cooldown.downward_pearl>",\
              "objective": "sul4ur.supp_pearls.config"\
            },\
            "color" : "aqua"\
          }\
        ],\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.click_to_change_value",\
            "fallback": "Click to change the value of this config."\
          }\
        },\
        "clickEvent": {\
          "action": "suggest_command",\
          "value": "/scoreboard players set <use_cooldown.downward_pearl> sul4ur.supp_pearls.config "\
        }\
      }\
    ],\
    "\n    ",\
    [\
      "",\
      {\
        "translate": "sul4ur.supp_pearls.config.use_cooldown.forward_pearls",\
        "fallback": "§eForward pearls: ",\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.use_cooldown.forward_pearls.description",\
            "fallback": "The use cooldown for forward pearls.\n§8Default: 1000"\
          }\
        }\
      },\
      {\
        "translate": "§7[%s§7]",\
        "with": [\
          {\
            "score": {\
              "name": "<use_cooldown.forward_pearl>",\
              "objective": "sul4ur.supp_pearls.config"\
            },\
            "color" : "aqua"\
          }\
        ],\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.click_to_change_value",\
            "fallback": "Click to change the value of this config."\
          }\
        },\
        "clickEvent": {\
          "action": "suggest_command",\
          "value": "/scoreboard players set <use_cooldown.forward_pearl> sul4ur.supp_pearls.config "\
        }\
      }\
    ],\
    "      ",\
    [\
      "",\
      {\
        "translate": "sul4ur.supp_pearls.config.use_cooldown.warp_pearls",\
        "fallback": "§eWarp pearls: ",\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.use_cooldown.warp_pearls.description",\
            "fallback": "The use cooldown for warp pearls.\n§8Default: 10000"\
          }\
        }\
      },\
      {\
        "translate": "§7[%s§7]",\
        "with": [\
          {\
            "score": {\
              "name": "<use_cooldown.warp_pearl>",\
              "objective": "sul4ur.supp_pearls.config"\
            },\
            "color" : "aqua"\
          }\
        ],\
        "hoverEvent": {\
          "action": "show_text",\
          "contents": {\
            "translate": "sul4ur.supp_pearls.config.click_to_change_value",\
            "fallback": "Click to change the value of this config."\
          }\
        },\
        "clickEvent": {\
          "action": "suggest_command",\
          "value": "/scoreboard players set <use_cooldown.warp_pearl> sul4ur.supp_pearls.config "\
        }\
      }\
    ]\
  ]
tellraw @s ""

## The rest
  tellraw @s {\
    "translate": "sul4ur.supp_pearls.config.page_n",\
    "fallback": "Page %s",\
    "with": [\
      {\
        "translate": "%s§7|%s §7[%s§7]",\
        "with":[\
          {\
            "text": "§7[§b1 ",\
            "clickEvent": {\
              "action": "run_command",\
              "value": "/function sul4ur:supp_pearls/internal/configs/open_page/1"\
            },\
            "hoverEvent": {\
              "action": "show_text",\
              "contents": {\
                "translate": "sul4ur.supp_pearls.config.switch_page",\
                "fallback": "Click to switch to page %s.","with": ["1"]\
              }\
            }\
          },\
          {\
            "text": "§b §l§n2§7]",\
            "hoverEvent": {\
              "action": "show_text",\
              "contents": {\
                "translate": "sul4ur.supp_pearls.config.refresh.description",\
                "fallback": "Click to refresh and see the changes you've made."\
              }\
            },\
            "clickEvent": {\
              "action": "run_command",\
              "value": "/function sul4ur:supp_pearls/internal/configs/open_page/2"\
            }\
          },\
          {\
            "translate": "sul4ur.supp_pearls.config.reset.title",\
            "fallback": "§cReset",\
            "insertion": "/function sul4ur:supp_pearls/internal/configs/reset",\
            "hoverEvent": {\
              "action": "show_text",\
              "contents": {\
                "translate": "sul4ur.supp_pearls.config.reset.description",\
                "fallback": "Shift-click to reset all configs."\
              }\
            }\
          }\
        ]\
      }\
    ]\
  }

tellraw @s ""